%set_verify_elf_method skip

%define uldvendor xerox

Name: %uldvendor-uld-standalone
Version: 1.00.25_00.05
Release: alt2
Source0: Xerox_WorkCentre_3025_Linux-Driver.tar.gz
Source1: 60_smfp_%{uldvendor}.rules
#Source2: uld-readme.txt
Group: Other
Summary: Xerox Print/Scan Driver for Linux
URL: https://download.support.xerox.com/pub/drivers/WC3025/drivers/linux/en_GB/Xerox_WorkCentre_3025_Linux-Driver.tar.gz 
License: distributable

Conflicts: samsung-uld-standalone
Conflicts: uld

Requires: sane
Requires: cups

%description

%prep
%setup -c

%install
# printer
cd ./uld
mkdir -p %buildroot/%_datadir/ppd/
mkdir -p %buildroot/opt/%uldvendor/scanner
mkdir -p %buildroot/opt/%uldvendor/printer/share/ppd/cms
cp -rf ./noarch/share/ppd/* %buildroot/opt/%uldvendor/printer/share/ppd/

mkdir -p %buildroot/%_libexecdir/cups/{backend,filter}/
mkdir -p %buildroot/opt/smfp-common/{printer,scanner,security,mfp,legacy_compat}
mkdir -p %buildroot/opt/smfp-common/printer/{lib,bin,.usedby}
mkdir -p %buildroot/opt/smfp-common/scanner/{lib,share,.usedby}

cp -f ./x86_64/libscmssc.so %buildroot/opt/smfp-common/printer/lib/libscmssc.so

cp -f ./x86_64/smfpnetdiscovery %buildroot/opt/smfp-common/printer/bin/
cp -f ./x86_64/pstosecps  %buildroot/opt/smfp-common/printer/bin/
cp -f ./x86_64/rastertospl  %buildroot/opt/smfp-common/printer/bin/

#cp %SOURCE2 /%buildroot/opt/samsung/uld-readme.txt

# scaner
mkdir -p  %buildroot/%_sysconfdir/udev/rules.d/
cp %SOURCE1 %buildroot/%_sysconfdir/udev/rules.d/

mkdir -p %buildroot/%_sysconfdir/sane.d/
cp -f ./noarch/etc/smfp.conf %buildroot/%_sysconfdir/sane.d/smfp-%uldvendor.conf
mkdir -p %buildroot/%_libdir/sane/

cp -f ./x86_64/libsane-smfp.so.1.0.1 %buildroot/opt/smfp-common/scanner/lib/  
cp -f ./noarch/{libsane-smfp.cfg,pagesize.xml} %buildroot/opt/smfp-common/scanner/share/

%post
echo 'smfp' >> %_sysconfdir/sane.d/dll.conf
cd %_libdir/sane/
ln -sf /opt/smfp-common/scanner/lib/libsane-smfp.so.1.0.1 libsane-smfp.so.1.0.1
ln -sf libsane-smfp.so.1.0.1 libsane-smfp.so
ln -sf libsane-smfp.so.1.0.1 libsane-smfp.so.1

cd %_libexecdir/cups/backend/
ln -sf /opt/smfp-common/printer/bin/smfpnetdiscovery smfpnetdiscovery
cd ../filter/
ln -sf /opt/smfp-common/printer/bin/rastertospl rastertospl
ln -sf /opt/smfp-common/printer/bin/pstosecps pstosecps

cd /opt/smfp-common/scanner/.usedby
ln -sf /opt/%uldvendor/scanner %uldvendor

cd  /opt/smfp-common/printer/.usedby
ln -sf /opt/%uldvendor/printer %uldvendor

cd  %_datadir/ppd/
ln -sf /opt/%uldvendor/printer/share/ppd/ uld-%uldvendor

%postun
sed -i '/^smfp$/d' %_sysconfdir/sane.d/dll.conf
rm -f %_datadir/ppd/uld-%uldvendor
rm -f /opt/smfp-common/printer/.usedby/%uldvendor
rm -f /opt/smfp-common/scanner/.usedby/%uldvendor
rm -f %_libexecdir/cups/backend/{smfpnetdiscovery,rastertospl,pstosecps}
rm -f %_libdir/sane/libsane-smfp.so*

%files
/opt/smfp-common/*
/opt/%uldvendor/*
#%_datadir/ppd/*
%_sysconfdir/sane.d/
%_sysconfdir/udev/rules.d/*
#%_libdir/sane/libsane-smfp.so*
#%_libexecdir/cups/backend/*
#%_libexecdir/cups/filter/*


%changelog
* Wed Jan 24 2024 Anton Shevtsov <shevtsov.anton@gmail.com> 1.00.25_00.05-alt2
- Rename to xerox-uld-standalone 

* Wed Jan 24 2024 Anton Shevtsov <shevtsov.anton@gmail.com> 1.00.25_00.05-alt1
- Init build